Delete a speaker
curl --request DELETE \
--url https://api.aircaps.com/v1/speakers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aircaps.com/v1/speakers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aircaps.com/v1/speakers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "spk_01k73a9x8w7v6u5t4s3r2q1p0n",
"object": "speaker",
"deleted": true
}{
"error": {
"type": "authentication_error",
"code": "unauthorized",
"message": "invalid API key",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "permission_error",
"code": "account_disabled",
"message": "this account is disabled",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "invalid_request_error",
"code": "speaker_not_found",
"message": "speaker 'spk_01k73a9x8w7v6u5t4s3r2q1p0n' not found",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "internal error",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "service_unavailable",
"message": "temporarily unavailable; please retry",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}Speakers
Delete a speaker
Deletes the speaker and all its enrollment embeddings, immediately and permanently. Afterwards the ID returns 404.
DELETE
/
v1
/
speakers
/
{id}
Delete a speaker
curl --request DELETE \
--url https://api.aircaps.com/v1/speakers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aircaps.com/v1/speakers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aircaps.com/v1/speakers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "spk_01k73a9x8w7v6u5t4s3r2q1p0n",
"object": "speaker",
"deleted": true
}{
"error": {
"type": "authentication_error",
"code": "unauthorized",
"message": "invalid API key",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "permission_error",
"code": "account_disabled",
"message": "this account is disabled",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "invalid_request_error",
"code": "speaker_not_found",
"message": "speaker 'spk_01k73a9x8w7v6u5t4s3r2q1p0n' not found",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "internal error",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "service_unavailable",
"message": "temporarily unavailable; please retry",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}
